hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marek Sebera (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HTTPCLIENT-1632) HttpClient deprecated in Android API level 22
Date Sat, 12 Sep 2015 23:32:45 GMT

    [ https://issues.apache.org/jira/browse/HTTPCLIENT-1632?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14742263#comment-14742263
] 

Marek Sebera commented on HTTPCLIENT-1632:
------------------------------------------

Well, to get you informed, I've pushed public oss project to repackage ASF HttpClient 4.3.X
for Android purposes.
Project is available here: https://github.com/smarek/httpclient-android
It also has been published into Maven Central through Nexus OSS repository

Current version is so far "just" 4.3.3, however newer versions will be posted up quickly in
my opinion.
Dependency string for Android is `cz.msebera.android:httpclient:4.3.3`
Maven POM dependency is 

<dependency>
    <groupId>cz.msebera.android</groupId>
    <artifactId>httpclient</artifactId>
    <version>4.3.3</version>
</dependency>

Library provides HttpCore, HttpClient, HttpClient-Cache and HttpMime, all of them currently
in same version, 4.3.3

Compiled against latest API level 22 or 23, it simply works and gets rid of annoying deprecated
messages Android Lint provides.

At last, I have simple question, is there any documentation on versions compatibility?
When providing higher versions of HttpClient, is there any chart, stating which version of
HttpClient is compatible with which versions of HttpCore/HttpMime/Cache or other dependencies?
I'd like to provide the library versions in as much consistent configuration against stock
ASF versions, as possible.

> HttpClient deprecated in Android API level 22
> ---------------------------------------------
>
>                 Key: HTTPCLIENT-1632
>                 URL: https://issues.apache.org/jira/browse/HTTPCLIENT-1632
>             Project: HttpComponents HttpClient
>          Issue Type: Task
>          Components: Android Port
>    Affects Versions: 4.3.5.1-android
>            Reporter: Kurian Abraham
>            Priority: Minor
>              Labels: documentation
>             Fix For: 5.0
>
>
> The entire org.apache.http package classes have now been deprecated by Google in Android
API level 22. Is there some recommended procedure to be followed to avoid the compiler warnings?
Perhaps it should be noted in the documentation.
> http://developer.android.com/reference/org/apache/http/package-summary.html



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message